WordPress может поломать сотни сайтов в декабре

Обсудить
WordPress может поломать сотни сайтов в декабре

WordPress версии 5.6 может стать причиной очередной волны неисправностей среди WP-блогов из-за плагина JQuery.

В августе 2020 года уже был масштабный сбой из-за релиза WordPress 5.5. Аналогичная ситуация может повториться в конце года. Один из разработчиков плагина jQuery Migrate Plugin сообщил о том, что после релиза WP версии 5.6 плагин JMP станет «бесполезным».

Судя по всему, имеется в виду, что плагин перестанет работать, а на него все еще полагаются сотни разработчиков и вебмастеров.

Создатели WordPress на протяжении нескольких последних релизов платформы обновляют механизмы взаимодействия с jQuery. Они это делают из-за наличия в старом коде серьезных уязвимостей и ошибок. Но так как некоторые сайты все еще используют старые версии jQuery, после таких крупных обновлений возникают сбои, вызывающие неработоспособность ресурса в целом.

Так было летом. Многие пользователи столкнулись с многочисленными ошибками. А некоторые сайты вообще перестали загружаться.

В связи с возникшей ситуацией сообщество WP разработало плагин, который включает старые версии jQuery, несмотря на ограничения со стороны разработчиков платформы. И он помог вернуть к жизни сотни пострадавших сайтов.

Сейчас ситуация повторяется, и на этот раз плагин не спасет. Его создатели подтвердили, что от него не будет никакого толка после выхода WordPress 5.6, поэтому вебмастерам придется искать новые способы решить возникшую проблему. В то же время это может подтолкнуть разработчиков  плагинов и шаблонов обновить свои продукты, чтобы те поддерживали более свежие версии jQuery и не вынуждали владельцев страниц искать окольные пути для устранения возникших сложностей.

Те пользователи, что используют современные версии тем и плагинов с поддержкой последних технологий, не испытают никаких проблем после обновления WordPress.

Комментарии